Skip to content
Snippets Groups Projects

Compare revisions

Changes are shown as if the source revision was being merged into the target revision. Learn more about comparing revisions.

Source

Select target project
No results found

Target

Select target project
  • mika/sssd
  • guillem/debian-pkg-sssd
  • john.veitch/sssd
  • jgullberg/sssd
  • gioele/sssd
  • oktay454/sssd
  • sergiodj/sssd
  • 3v1n0/sssd
  • jfalk-guest/sssd
  • sathieu/sssd
  • dpward/sssd
  • sssd-team/sssd
  • ahasenack/sssd
  • jbicha/sssd
  • yrro-guest/sssd
15 results
Show changes
Commits on Source (241)
Showing with 3867 additions and 3018 deletions
......@@ -81,3 +81,13 @@ jobs:
name: covscan
path: |
./logs/*.err
result:
name: All tests are successful
if: ${{ always() }}
runs-on: ubuntu-latest
needs: [cppcheck, covscan]
steps:
- name: Fail on failure
if: ${{ needs.cppcheck.result != 'success' || needs.covscan.result != 'success' }}
run: exit 1
......@@ -244,3 +244,13 @@ jobs:
multihost-build.log
multihost-install.log
multihost-pytest.log
result:
name: All tests are successful
if: ${{ always() }}
runs-on: ubuntu-latest
needs: [build, intgcheck, multihost]
steps:
- name: Fail on failure
if: ${{ needs.build.result != 'success' || needs.intgcheck.result != 'success' || needs.multihost.result != 'success' }}
run: exit 1
......@@ -136,3 +136,13 @@ jobs:
chroots: ${{ matrix.chroot }}
project: ${{ env.COPR_PROJECT }}
account: ${{ env.COPR_ACCOUNT }}
result:
name: All copr builds are successful
if: ${{ always() }}
runs-on: ubuntu-latest
needs: [build]
steps:
- name: Fail on failure
if: ${{ needs.build.result != 'success' }}
run: exit 1
......@@ -53,3 +53,13 @@ jobs:
with:
token: ${{ secrets.GITHUB_TOKEN }}
failIf: new
result:
name: All tests are successful
if: ${{ always() }}
runs-on: ubuntu-latest
needs: [codeql, flake8]
steps:
- name: Fail on failure
if: ${{ needs.codeql.result != 'success' || needs.flake8.result != 'success' }}
run: exit 1
......@@ -1920,6 +1920,7 @@ sssctl_LDADD = \
$(LIBADD_DL) \
libsss_certmap.la \
libifp_iface_sync.la \
libsss_iface.la \
libsss_iface_sync.la \
libsss_sbus_sync.la \
$(NULL)
......@@ -3003,7 +3004,8 @@ ad_access_filter_tests_LDADD = \
$(NULL)
ad_gpo_tests_SOURCES = \
src/tests/cmocka/test_ad_gpo.c
src/tests/cmocka/test_ad_gpo.c \
src/providers/ad/ad_gpo_child_utils.c
ad_gpo_tests_CFLAGS = \
$(AM_CFLAGS) \
$(NDR_NBT_CFLAGS) \
......@@ -3024,6 +3026,8 @@ ad_gpo_tests_LDADD = \
libsss_sbus.la \
$(NULL)
dist_noinst_DATA += src/tests/cmocka/GPT.INI
ad_common_tests_SOURCES = \
$(libsss_krb5_common_la_SOURCES) \
src/tests/cmocka/common_mock_krb5.c \
......@@ -4604,6 +4608,7 @@ endif
gpo_child_SOURCES = \
src/providers/ad/ad_gpo_child.c \
src/providers/ad/ad_gpo_child_utils.c \
src/util/atomic_io.c \
src/util/util.c \
src/util/util_ext.c \
......
[![master :: CI Status](https://img.shields.io/github/workflow/status/SSSD/sssd/ci/master?label=master%20%3A%3A%20ci)](https://github.com/SSSD/sssd/actions/workflows/ci.yml?query=branch%3Amaster)
[![master :: Analyzers](https://img.shields.io/github/workflow/status/SSSD/sssd/Static%20code%20analysis/master?label=master%20%3A%3A%20analyze)](https://github.com/SSSD/sssd/actions/workflows/static-code-analysis.yml?query=branch%3Amaster)
[![Coverity Scan](https://img.shields.io/coverity/scan/sssd-sssd?label=master%20::%20coverity)](https://scan.coverity.com/projects/sssd-sssd)
[![sssd-2-7 :: CI Status](https://img.shields.io/github/workflow/status/SSSD/sssd/ci/master?label=sssd-2-7%20%3A%3A%20ci)](https://github.com/SSSD/sssd/actions/workflows/ci.yml?query=branch%3Asssd-2-7)
[![sssd-2-7 :: Analyzers](https://img.shields.io/github/workflow/status/SSSD/sssd/Static%20code%20analysis/sssd-2-7?label=sssd-2-7%20%3A%3A%20analyze)](https://github.com/SSSD/sssd/actions/workflows/static-code-analysis.yml?query=branch%3Asssd-2-7)
# SSSD - System Security Services Daemon
## Introduction
......
......@@ -117,6 +117,9 @@ AC_CHECK_FUNCS([ utimensat \
AC_CHECK_FUNCS([ explicit_bzero ])
# Check for the timegm() function (not part of POSIX / Open Group specs)
AC_CHECK_FUNC([timegm], [], [AC_MSG_ERROR([timegm() function not found])])
#Check for endian headers
AC_CHECK_HEADERS([endian.h sys/endian.h byteswap.h])
......
......@@ -8,8 +8,8 @@ Supported host distros are Fedora 20 and later, RHEL 6.5 and later, and Debian
Testing.
The tests are executed by running `contrib/ci/run` from the source tree root.
It accepts options to choose from three test sets: "essential", "moderate" and
"rigorous" (-e/-m/-r), with the essential set selected by default.
It accepts options to choose from two test sets: "essential", "moderate"
(-e/-m), with the essential set selected by default.
Essential tests include building everything and running the built-in test
suite under Valgrind, completing in under 5 minutes.
......@@ -17,11 +17,6 @@ suite under Valgrind, completing in under 5 minutes.
Moderate tests include essential tests, plus a distcheck target build. They
complete in about 15 minutes.
Rigorous tests include moderate tests, plus a pass with Clang static analyzer
over the whole build and test execution with code coverage collection and
verification, completing in 30 minutes. Static analyzer failures are ignored
for now.
Use `contrib/ci/clean` to remove test results from the source tree.
......
......@@ -34,37 +34,16 @@ export LC_ALL=C
. misc.sh
declare -r DEBUG_CFLAGS="-g3 -O2"
declare -r COVERAGE_CFLAGS="-g3 -O0 --coverage"
declare -r ARCH=`uname -m`
declare -r CPU_NUM=`getconf _NPROCESSORS_ONLN`
declare -r TITLE_WIDTH=24
declare -r RESULT_WIDTH=18
# Minimum percentage of code lines covered by tests
declare -r COVERAGE_MIN_LINES=15
# Minimum percentage of code functions covered by tests
declare -r COVERAGE_MIN_FUNCS=0
# Those values are a sum up of the default warnings in all our
# supported distros in our CI.
# debian_testing: E121,E123,E126,E226,E24,E704,W503,W504,W605
# fedora22:
# fedora23:
# fedora24: E121,E123,E126,E226,E24,E704
# fedora25: E121,E123,E126,E226,E24,E704
# fedora26: E121,E123,E126,E226,E24,E704
# fedora27: E121,E123,E126,E226,E24,E704
# fedora_rawhide: E121,E123,E126,E226,E24,E704
# rhel6:
# rhel7:
declare PEP8_IGNORE="--ignore=E121,E123,E126,E226,E24,E704,W503,W504,W605"
declare PEP8_MAX_LENGTH="--max-line-length=119"
declare BASE_PFX=""
declare DEPS=true
declare DEPS_ONLY=false
declare BASE_DIR=`pwd`
declare MODERATE=false
declare RIGOROUS=false
# Additional valgrind flags
declare VALGRIND_FLAGS=""
......@@ -87,8 +66,6 @@ Options:
-d, --deps-only Only install dependencies, don't run tests.
-e, --essential Run the essential subset of tests.
-m, --moderate Run the moderate subset of tests.
-r, --rigorous,
-f, --full Run the rigorous (full) set of tests.
Default options: --essential
EOF
......@@ -158,9 +135,7 @@ function build_debug()
declare -r valgrind_test_pattern+="*/double_semicolon_test)"
export CFLAGS="$DEBUG_CFLAGS"
declare test_dir
declare test_dir_distcheck
declare intgcheck_configure_args
declare distcheck_configure_args
declare status
test_dir=`mktemp --directory /dev/shm/ci-test-dir.XXXXXXXX`
......@@ -168,9 +143,6 @@ function build_debug()
"${CONFIGURE_ARG_LIST[@]}" \
--with-test-dir="$test_dir"
# Not building "tests" due to https://fedorahosted.org/sssd/ticket/2350
stage make-tests make -j $CPU_NUM check LOG_COMPILER=true
status=0
CK_FORK=no \
DEBUGINFOD_URLS="" \
......@@ -200,86 +172,12 @@ function build_debug()
$intgcheck_configure_args"
fi
test_dir_distcheck=`mktemp --directory /dev/shm/ci-test-dir.XXXXXXXX`
# Single thread due to https://fedorahosted.org/sssd/ticket/2354
status=0
printf -v distcheck_configure_args " %q" \
"${CONFIGURE_ARG_LIST[@]}" \
"--with-test-dir=$test_dir_distcheck"
stage make-distcheck make distcheck \
AUX_DISTCHECK_CONFIGURE_FLAGS=" \
$distcheck_configure_args" ||
status=$?
mv "$test_dir_distcheck" ci-test-dir-distcheck
((status == 0))
fi
unset CFLAGS
}
# Run coverage build checks.
function build_coverage()
{
declare -r coverage_report_dir="ci-report-coverage"
declare extra_CFLAGS=""
declare test_dir
declare status
if [[ "$DISTRO_BRANCH" == -redhat-redhatenterprise*-6.*- ||
"$DISTRO_BRANCH" == -redhat-centos-6.*- ]]; then
# enable optimisation to avoid bug in gcc < 4.6.0
# gcc commit 7959b7e646b493f48a2ea7228fbf1c43f84bedea
# git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@162384
# 138bc75d-0d04-0410-961f-82ee72b054a4
extra_CFLAGS=" -O1"
fi
export CFLAGS="$COVERAGE_CFLAGS $extra_CFLAGS"
test_dir=`mktemp --directory /dev/shm/ci-test-dir.XXXXXXXX`
stage configure "$BASE_DIR/configure" \
"${CONFIGURE_ARG_LIST[@]}" \
--with-test-dir="$test_dir"
# Build everything, including tests
# Not building "tests" due to https://fedorahosted.org/sssd/ticket/2350
stage make-tests make -j $CPU_NUM check LOG_COMPILER=true
stage lcov-pre lcov --capture --initial --directory . \
--base-directory "$BASE_DIR" \
--output-file ci-base.info
# Run tests
status=$?
stage make-check make -j $CPU_NUM check || status=$?
mv "$test_dir" ci-test-dir
((status == 0))
stage lcov-post lcov --capture --directory . \
--base-directory "$BASE_DIR" \
--output-file ci-check.info
stage lcov-merge lcov --add-tracefile ci-base.info \
--add-tracefile ci-check.info \
--output-file ci-dirty.info
stage lcov-clean lcov --remove ci-dirty.info \
"/usr/*" "src/tests/*" "/tmp/*" \
"*dtrace-temp.c" \
--output-file ci.info
stage genhtml eval 'genhtml --output-directory \
"$coverage_report_dir" \
--title "sssd" --show-details \
--legend --prefix "$BASE_DIR" \
ci.info |& tee ci-genhtml.out'
printf "%-$((TITLE_WIDTH + RESULT_WIDTH))s%s\n" \
"coverage report:" \
"`disppath \"\$coverage_report_dir/index.html\"`"
stage lcov-check eval 'lcov_check "$COVERAGE_MIN_LINES" \
"$COVERAGE_MIN_FUNCS" \
< ci-genhtml.out'
unset CFLAGS
}
# Run a build inside a sub-directory.
# Args: id cmd [arg...]
function run_build()
......@@ -303,7 +201,7 @@ declare args_expr
args_expr=`getopt --name \`basename "\$0"\` \
--options hp:dnemrf \
--longoptions help,prefix:,no-deps,deps-only \
--longoptions essential,moderate,rigorous,full \
--longoptions essential,moderate \
-- "$@"`
eval set -- "$args_expr"
......@@ -318,11 +216,9 @@ while true; do
-n|--no-deps)
DEPS=false; shift;;
-e|--essential)
MODERATE=false; RIGOROUS=false; shift;;
MODERATE=false; shift;;
-m|--moderate)
MODERATE=true; RIGOROUS=false; shift;;
-r|--rigorous|-f|--full)
MODERATE=true; RIGOROUS=true; shift;;
MODERATE=true; shift;;
--)
shift; break;;
*)
......@@ -350,19 +246,8 @@ if "$DEPS_ONLY"; then
exit
fi
if [[ "$DISTRO_BRANCH" != redhat-* ]]; then
# Ignore "E722 do not use bare except" exceptions
# that are only raised on debian_testing machines.
PEP8_IGNORE+=",E722"
fi
stage pep8 find . -path ./src/config -prune -o \
-name \*.py -exec pycodestyle $PEP8_IGNORE \
$PEP8_MAX_LENGTH {} +
stage autoreconf autoreconf --install --force
run_build debug build_debug
if "$RIGOROUS"; then
run_build coverage build_coverage
fi
unset V
trap - EXIT
echo SUCCESS
sssd (2.8.0-1) UNRELEASED; urgency=medium
* New upstream release.
* watch: Updated for current github behaviour.
* support-krb5-1.20.diff: Dropped, upstream.
-- Timo Aaltonen <tjaalton@debian.org> Thu, 27 Oct 2022 12:39:02 +0300
sssd (2.7.4-1) unstable; urgency=medium
[ Timo Aaltonen ]
......
fix-whitespace-test.diff
default-to-socket-activated-services.diff
fix-shebang-on-sss_analyze.patch
support-krb5-1.20.diff
--- a/src/external/pac_responder.m4
+++ b/src/external/pac_responder.m4
@@ -21,7 +21,8 @@ then
Kerberos\ 5\ release\ 1.16* | \
Kerberos\ 5\ release\ 1.17* | \
Kerberos\ 5\ release\ 1.18* | \
- Kerberos\ 5\ release\ 1.19*)
+ Kerberos\ 5\ release\ 1.19* | \
+ Kerberos\ 5\ release\ 1.20*)
krb5_version_ok=yes
AC_MSG_RESULT([yes])
;;
#git=https://github.com/SSSD/sssd
version=3
opts="uversionmangle=s/alpha/~alpha/;s/beta/~beta/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/SSSD/sssd/releases/ (?:.*?/)?sssd-@ANY_VERSION@\.tar\.gz
version=4
opts="uversionmangle=s/alpha/~alpha/;s/beta/~beta/,pgpsigurlmangle=s/$/.asc/, \
filenamemangle=s#@ANY_VERSION@$#$1.tar.gz#, \
downloadurlmangle=s#/tag/#/download/#;s#@ANY_VERSION@$#$1/@PACKAGE@-$1.tar.gz#" \
https://github.com/SSSD/sssd/tags .*/releases/tag/@ANY_VERSION@
......@@ -24,3 +24,4 @@ zh_CN
zh_TW
ko
ka
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.